Page MenuHomePhabricator

Deploy new recommendation-api endpoints for Suggested Edits in RESTBase
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/mediawiki/services/recommendation-api/+/513340/ adds two new endpoints to the Recommendation API for suggesting Commons images for which to add or translate a structured caption.
https://gerrit.wikimedia.org/r/#/c/mediawiki/services/recommendation-api/+/515116/ adds the same for Wikipedia articles for which the corresponding Wikidata item is missing a description.

These should go live during the week of June 24. Storage is not needed. The proposed endpoint structure aims to follow the pattern set by the existing Recommendation API endpoints.

Existing Recommendation API endpoints

  • /article/creation/morelike/{seed}
  • /article/creation/translation/{source}{/seed}

Proposed new endpoints

  • /caption/addition/{target}
  • /caption/translation/from/{source}/to/{target}
  • /description/addition/{target}
  • /description/translation/from/{source}/to/{target}

Event Timeline

Mholloway triaged this task as High priority.May 31 2019, 7:45 PM
Mholloway created this task.

The new proposed end points LGTM.

Mholloway updated the task description. (Show Details)Jun 5 2019, 4:06 PM

Updated target launch date to June 17 to reflect that deployments are off next week due to the SRE offsite.

Updated target launch date to June 17 to reflect that deployments are off next week due to the SRE offsite.

The week of June 17 CPT is out for the offsite too...

@Charlotte @Dbrant See above. The caption endpoints won't go live on the week of 6/17 either, due to the Core Platform Team offsite. Looks like it'll be 6/24 at the earliest.

This shouldn't have any negative effect on you since the labs testing instance is functionally identical in this case, but thought I'd give you a heads-up in any case.

Thanks for the heads up @Mholloway

Mholloway removed Mholloway as the assignee of this task.Jun 18 2019, 5:30 PM

I'm out next week, so someone will have to pick this up in my stead.

Mholloway renamed this task from Deploy caption addition/suggestion endpoints to production to Deploy caption addition/suggestion endpoints in RESTBase.Jun 19 2019, 1:26 PM
Mholloway renamed this task from Deploy caption addition/suggestion endpoints in RESTBase to Deploy new recommendation-api endpoints for Suggested Edits in RESTBase.
Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)Jun 19 2019, 1:30 PM

Change 518083 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/services/recommendation-api/deploy@master] Add allowed domains config for Suggested Edits endpoints

https://gerrit.wikimedia.org/r/518083

Change 518083 merged by Mholloway:
[mediawiki/services/recommendation-api/deploy@master] Add allowed domains config for Suggested Edits endpoints

https://gerrit.wikimedia.org/r/518083

MSantos claimed this task.Jun 24 2019, 4:25 PM

@Charlotte I'll be monitoring the service while @Mholloway is out. Let me know if you have any questions and/or concerns.

Change 519500 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/restbase/deploy@master] Config changes for suggested edits endpoints.

https://gerrit.wikimedia.org/r/519500

MSantos reassigned this task from MSantos to Mholloway.Jul 3 2019, 1:53 PM

Ok, PR merged, config patch updated. Will be deployed on Monday.

Change 519500 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] Config changes for suggested edits endpoints.

https://gerrit.wikimedia.org/r/519500

Mentioned in SAL (#wikimedia-operations) [2019-07-08T13:48:49Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@8e81e98]: Release 1.0, expose talk endpoints T225733, suggestions endpoints T224754, fix summary purging T226983

Mentioned in SAL (#wikimedia-operations) [2019-07-08T14:05:01Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@8e81e98]: Release 1.0, expose talk endpoints T225733, suggestions endpoints T224754, fix summary purging T226983 (duration: 16m 11s)